from PyQt4 import QtCore, QtGui

try:
    _from_utf8 = QtCore.QString.fromUtf8
except AttributeError:
    def _from_utf8(s):
        return s

try:
    _encoding = QtGui.QApplication.UnicodeUTF8

    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig, _encoding)
except AttributeError:
    def _translate(context, text, disambig):
        return QtGui.QApplication.translate(context, text, disambig)


# noinspection PyArgumentList
class UiRunTab(object):
    def __init__(self, run_tab):
        super(UiRunTab, self).__init__()

        run_tab.setObjectName(_from_utf8("run_tab"))
        run_tab.resize(758, 429)
        self.gridLayout_4 = QtGui.QGridLayout(run_tab)
        self.gridLayout_4.setObjectName(_from_utf8("gridLayout_4"))
        self.grid_layout = QtGui.QGridLayout()
        self.grid_layout.setObjectName(_from_utf8("grid_layout"))
        self.close_tab_btn = QtGui.QPushButton(run_tab)
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(True)
        font.setWeight(75)
        self.close_tab_btn.setFont(font)
        self.close_tab_btn.setStyleSheet(_from_utf8("background-color: rgb(200, 234, 194);"))
        self.close_tab_btn.setObjectName(_from_utf8("close_tab_btn"))
        self.grid_layout.addWidget(self.close_tab_btn, 1, 2, 1, 1)
        self.open_globals_btn = QtGui.QPushButton(run_tab)
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(True)
        font.setWeight(75)
        self.open_globals_btn.setFont(font)
        self.open_globals_btn.setStyleSheet(_from_utf8("background-color: rgb(200, 234, 194);"))
        self.open_globals_btn.setObjectName(_from_utf8("open_globals_btn"))
        self.grid_layout.addWidget(self.open_globals_btn, 1, 1, 1, 1)
        self.info_group_box = QtGui.QGroupBox(run_tab)
        size_policy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        size_policy.setHorizontalStretch(1)
        size_policy.setVerticalStretch(0)
        size_policy.setHeightForWidth(self.info_group_box.sizePolicy().hasHeightForWidth())
        self.info_group_box.setSizePolicy(size_policy)
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setWeight(75)
        self.info_group_box.setFont(font)
        self.info_group_box.setObjectName(_from_utf8("info_group_box"))
        self.gridLayout_2 = QtGui.QGridLayout(self.info_group_box)
        self.gridLayout_2.setObjectName(_from_utf8("gridLayout_2"))
        self.info_grid = QtGui.QGridLayout()
        self.info_grid.setObjectName(_from_utf8("info_grid"))
        spacer_item = QtGui.QSpacerItem(20, 40, QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        self.info_grid.addItem(spacer_item, 3, 0, 1, 1)
        self.file_name_lbl = QtGui.QLabel(self.info_group_box)
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(True)
        font.setWeight(75)
        self.file_name_lbl.setFont(font)
        self.file_name_lbl.setObjectName(_from_utf8("file_name_lbl"))
        self.info_grid.addWidget(self.file_name_lbl, 0, 0, 1, 1)
        self.file_name = QtGui.QLabel(self.info_group_box)
        self.file_name.setText(_from_utf8(""))
        self.file_name.setObjectName(_from_utf8("file_name"))
        self.info_grid.addWidget(self.file_name, 0, 1, 1, 1)
        self.num_of_threads_lbl = QtGui.QLabel(self.info_group_box)
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(True)
        font.setWeight(75)
        self.num_of_threads_lbl.setFont(font)
        self.num_of_threads_lbl.setObjectName(_from_utf8("num_of_threads_lbl"))
        self.info_grid.addWidget(self.num_of_threads_lbl, 2, 0, 1, 1)
        self.time_from_start = QtGui.QLabel(self.info_group_box)
        self.time_from_start.setText(_from_utf8(""))
        self.time_from_start.setObjectName(_from_utf8("time_from_start"))
        self.info_grid.addWidget(self.time_from_start, 1, 1, 1, 1)
        self.threads_num = QtGui.QLabel(self.info_group_box)
        self.threads_num.setText(_from_utf8(""))
        self.threads_num.setObjectName(_from_utf8("threads_num"))
        self.info_grid.addWidget(self.threads_num, 2, 1, 1, 1)
        self.time_from_start_lbl = QtGui.QLabel(self.info_group_box)
        font = QtGui.QFont()
        font.setPointSize(10)
        font.setBold(True)
        font.setWeight(75)
        self.time_from_start_lbl.setFont(font)
        self.time_from_start_lbl.setObjectName(_from_utf8("time_from_start_lbl"))
        self.info_grid.addWidget(self.time_from_start_lbl, 1, 0, 1, 1)
        self.gridLayout_2.addLayout(self.info_grid, 0, 0, 1, 1)
        self.grid_layout.addWidget(self.info_group_box, 0, 0, 1, 1)
        self.globals_group_box = QtGui.QGroupBox(run_tab)
        size_policy = QtGui.QSizePolicy(QtGui.QSizePolicy.Preferred, QtGui.QSizePolicy.Preferred)
        size_policy.setHorizontalStretch(1)
        size_policy.setVerticalStretch(0)
        size_policy.setHeightForWidth(self.globals_group_box.sizePolicy().hasHeightForWidth())
        self.globals_group_box.setSizePolicy(size_policy)
        font = QtGui.QFont()
        font.setPointSize(12)
        font.setBold(True)
        font.setUnderline(False)
        font.setWeight(75)
        self.globals_group_box.setFont(font)
        self.globals_group_box.setObjectName(_from_utf8("globals_group_box"))
        self.gridLayout_3 = QtGui.QGridLayout(self.globals_group_box)
        self.gridLayout_3.setObjectName(_from_utf8("gridLayout_3"))
        self.globals_table = QtGui.QTableWidget(self.globals_group_box)
        size_policy = QtGui.QSizePolicy(QtGui.QSizePolicy.Minimum, QtGui.QSizePolicy.Expanding)
        size_policy.setHorizontalStretch(0)
        size_policy.setVerticalStretch(0)
        size_policy.setHeightForWidth(self.globals_table.sizePolicy().hasHeightForWidth())
        self.globals_table.setSizePolicy(size_policy)
        self.globals_table.setStyleSheet(_from_utf8("background-color: rgb(238, 244, 250);"))
        self.globals_table.setObjectName(_from_utf8("globals_table"))
        self.globals_table.setColumnCount(3)
        self.globals_table.setRowCount(0)
        item = QtGui.QTableWidgetItem()
        self.globals_table.setHorizontalHeaderItem(0, item)
        item = QtGui.QTableWidgetItem()
        self.globals_table.setHorizontalHeaderItem(1, item)
        item = QtGui.QTableWidgetItem()
        self.globals_table.setHorizontalHeaderItem(2, item)
        self.globals_table.horizontalHeader().setStretchLastSection(True)
        self.gridLayout_3.addWidget(self.globals_table, 0, 0, 1, 1)
        self.grid_layout.addWidget(self.globals_group_box, 0, 1, 1, 2)
        self.gridLayout_4.addLayout(self.grid_layout, 0, 0, 1, 1)

        self.retranslate_ui(run_tab)
        QtCore.QMetaObject.connectSlotsByName(run_tab)

    def retranslate_ui(self, run_tab):
        run_tab.setWindowTitle(_translate("run_tab", "Form", None))
        self.close_tab_btn.setText(_translate("run_tab", "Close Tab", None))
        self.open_globals_btn.setText(_translate("run_tab", "Open Globals File", None))
        self.info_group_box.setTitle(_translate("run_tab", "Info", None))
        self.file_name_lbl.setText(_translate("run_tab", "File Name: ", None))
        self.num_of_threads_lbl.setText(_translate("run_tab", "Number of threads:", None))
        self.time_from_start_lbl.setText(_translate("run_tab", "Time From Start:", None))
        self.globals_group_box.setTitle(_translate("run_tab", "Globals", None))
        item = self.globals_table.horizontalHeaderItem(0)
        item.setText(_translate("run_tab", "Name", None))
        item = self.globals_table.horizontalHeaderItem(1)
        item.setText(_translate("run_tab", "Type", None))
        item = self.globals_table.horizontalHeaderItem(2)
        item.setText(_translate("run_tab", "Value", None))
